﻿using EnotaryoPH.Data.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Configuration;

namespace EnotaryoPH.Data
{
    public class NotaryoDBContext : DbContext
    {
        private readonly IConfiguration _configuration;

        public NotaryoDBContext(IConfiguration configuration, DbContextOptions<NotaryoDBContext> Options) : base(Options) => _configuration = configuration;

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder) => optionsBuilder.UseNpgsql(_configuration.GetConnectionString("NotaryoDatabase"));

        public DbSet<User>? Users { get; set; }
        public DbSet<Lawyer>? Lawyers { get; set; }
    }
}